
Infrastructure - Task #1603

Story # 1530 (Closed): Redefine interface definitions to correspond with Tiers

Resolve missing types in org.dataone.service.types package

2011-05-31 15:36 - Nicholas Dexter

Status: Closed Start date: 2011-05-31

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2011.26-Block.4   

Milestone: 2011-Block-3 Story Points:  

Product Version: *   

Description

The following types are needed in order to uncomment affected methods:

CN:

Types.ObjectFormatList ---> CNCore.listFormats

Types.OctetStream ---> CNRead.get

Types.Capabilities ---> CNRegister.addNodeCapabilities and CNRegister.register

Types.ReplicaMetadata ---> CNReplication.updateReplicationMetadata

MN:

Types.ObjectStatistics ---> MNCore.getObjectStatistics

Types.StatusResponse ---> MNCore.getStatus

Types.OctetStream ---> MNRead.get

Types.Exception ---> MNRead.synchronizationFailed

Related issues:

Related to Infrastructure - Task #1600: Update Coordinating Node API Document... Closed 2011-05-31

History

#1 - 2011-06-02 22:53 - Dave Vieglais

- Status changed from New to In Progress

OctetStream is not a type that will be described in the schema as it represents a stream of 8 bit bytes.

addNodeCapabilities was renamed updateNodeCapabilities. Parameters for that and register() have been updated in the Docs to "Node".

#2 - 2011-06-07 16:56 - Dave Vieglais

- Status changed from In Progress to Closed

Adding new story for fleshing out the design and implementation of the monitoring infrastructure to cover getStatus and getObjectStatistics. All other

elements should be up to date.
